{% extends "base.html" %}

{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <p>{{ project.description }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url "create_task" %}">Create a new task</a>
            </p>
            {% if details|length != 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for detail in details %}
                            <tr>
                                <td>{{ detail.name }}</td>
                                <td>{{ detail.assignee }}</td>
                                <td>{{ detail.start_date }}</td>
                                <td>{{ detail.due_date }}</td>
                                <td>{{ detail.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
